---
title: "Sid’s top advice for startup CEOs"
author: Clement Ho
author_gitlab: ClemMakesApps
author_twitter: ClemMakesApps
categories: unfiltered
image_title: "/images/blogimages/sid-top-advice-startup.jpg"
description: "Learn more about the advice Sid gives to other startup CEOs"
tags: startups
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

This past week, several startups came to Sid - GitLab's CEO and cofounder - asking for advice. In light of wanting to share advice to a wider audience, so here is some of his top advice.

# Grow usage or revenue

A startup that has no usage or revenue will die. It is important to be laser focused on this. By setting specific goals pertaining to this area, you can set yourself up for better success. Most startups aim for 10% week over week growth. Use that as a guidance for your own metric.

# Have users switch to your product

It is better for people to switch completely to your product rather than just using parts of your product for your existing workflow. This makes your product more sticky and allows you to get better feedback from users about which features to continue investing your time and money into.

# Iterate

Startups tackle big problems but it’s easy to get paralyzed by big problems. It’s also easy to miss the value that your product could bring to users if you spend too much time making the big solution. By iterating, your startup should aim to build things that pay off in a week. Scoping down solutions to the bare minimum is a great start for this area.

# Do things that don’t scale

This is a common phrase with startups but this is critical to do. Be willing to spend money, do tasks that clearly don’t make sense for your future scaled company because the faster you are able to find ways to grow your product with your users, the better your product will be. Airbnb has some great examples of this (detailed in the video interview below).

# Interview with Sid

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/HklxGOXFoPQ" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Cover image by [Samson](https://unsplash.com/photos/ZGjbiukp_-A) on [Unsplash](https:unsplash.com)
{: .note}
